<!-- Sample configuration file for running UFA stack for P2V and VMI -->

<Config>

<vmacore>
  <threadPool>
     <TaskMax>40</TaskMax>
     <IoMax>81</IoMax>
     <IoMin>1</IoMin>
  </threadPool>
  <impersonate>true</impersonate>
<!--
  <useRefTracker>true</useRefTracker>
  <printRefDetails>true</printRefDetails>
-->
</vmacore>

<plugins>
  <ufa_slave>
     <path>ufa-slave.dll</path>
     <primarySnapshotDriver>vss</primarySnapshotDriver>
     <alternativeSnapshotDriver>vsnap</alternativeSnapshotDriver>
     <enableBlockLevelVolumeCloning>true</enableBlockLevelVolumeCloning>
     <vstor2Instance>vstor2-ws60</vstor2Instance>
  </ufa_slave>

  <ufa_client>
     <path>ufa-client.dll</path>
  </ufa_client>

  <ufa_sysReconfig>
     <path>ufa-sysReconfig.dll</path>
  </ufa_sysReconfig>

  <ufa_sysMigration>
     <path>ufa-sysMigration.dll</path>
  </ufa_sysMigration>

  <ufa_vmImporter>
     <path>ufa-vmImporter.dll</path>
     <deleteVmFromFailedClone>true</deleteVmFromFailedClone>
  </ufa_vmImporter>

  <ufa_agent>
    <path>ufa-agent.dll</path>
    <enableRemoteAccess>true</enableRemoteAccess>
    <enableSoapAdapter>false</enableSoapAdapter>
<!--<soapPort>8086</soapPort>-->
    <enableVmdbAdapter>true</enableVmdbAdapter>
<!--<vmdbAdapterListener>both</vmdbAdapterListener>-->
<!--<vmdbAdapterListener>tcp</vmdbAdapterListener>-->
    <vmdbAdapterListener>namedPipe</vmdbAdapterListener>
    <vmdbPipeName>vmware-ufad-ws60-beta3-vmdb</vmdbPipeName>
<!--<vmdbPort>9006</vmdbPort>-->
  </ufa_agent>

</plugins>

<log>
   <name>vmware-converter</name>
   <level>verbose</level>
</log>

 <!-- Remove the following node to disable SSL -->
<ssl>
   <!-- Private key file -->
   <privateKey>ssl/rui.key</privateKey>
   <!-- Certificate file -->
   <certificate>ssl/rui.crt</certificate>
</ssl>

</Config>
